summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorAndreas Mair <amair.sob@googlemail.com>2005-07-13 12:01:05 +0200
committerAndreas Mair <amair.sob@googlemail.com>2005-07-13 12:01:05 +0200
commit8c5b06e471f1254d2e750dfba3154461eb3030bc (patch)
tree70929fe39cea335cb034c380485aa118383fce21 /install.sh
parent1f33deeae237bdcc4281de03d268528d4a09edd3 (diff)
downloadvdradmin-am-0.97-am3.3.tar.gz
vdradmin-am-0.97-am3.3.tar.bz2
2005-07-12: 0.97-am3.3v0.97-am3.3
- Fixed problems with "$" in templates (Reported by All-Ex). - Updated all help messages. - Added beautified tooltips in at_timer_list, timer_list and prog_timeline. - Changed saving of AutoTimer patterns: ":" -> "|" and "|" -> "\|". - Added support for user.css for overwriting style.css (Must be located in same folder as vdradmind.conf). See user.css.example. - Removed obsolete files (e.g. images). - Merged style.css and navi.css. - Reworked templates so that they use a lot of CSS (Tested using Konqueror 3.3.2 and Firefox 1.0.4). - Fixed programming timers with special summary when using EPG_DIRECT (timer didn't get programmed) (Thanks to HolgerAusB for giving vital hints). - Allow browsers to cache all files VDRAdmin sends, except "text/html". This should speed up VDRAdmin but changing the skin or css needs a "shift reload". - Added support for VDR v1.3.25's info.vdr (Submitted by vejoun). - Use localized date formates. - Now using "video/x-mpegurl" MIME type instead of "audio/x-mpegurl" for streaming (Suggested by stefan.h). - Added patches supplied by stefan.h: -> using EPG's subtitle when found for AutoTimer else " " (that's the VDR way). -> New config option VDRVFAT to find recordings if VDR has been compiled with or without VFAT define. - Fixed calling reccmds on recordings in subdirs, manual recordings (@rectitle) and repeating timer's recordings without episode title. - Fixed streaming of manual recordings (@rectitle) and repeating timer's recordings without episode title. - VDRAdmin-AM now uses the required charsets setting in templates, so no need to write "&xyz;" things in .po files. - Reworked templates to make better use of CSS (for example: timeline colours can be set by style.css). - EPG_PRUNE now is the number of channels to fetch from VDR (had been one too less before). - Added "install.sh" and "uninstall.sh" ("./install.sh -h" for help) (Requested by several people). - Made "name" columns in lists wrapping again (Reported by vejoun). - Deleting a single recording works again (Reported by vejoun). - Fixed streaming of recordings in subdirs (Reported by vejoun). - Added missing gray sign on deactivated AutoTimers (Reported by vejoun). - Various other minor fixes.
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh67
1 files changed, 27 insertions, 40 deletions
diff --git a/install.sh b/install.sh
index 803097e..9bcf969 100755
--- a/install.sh
+++ b/install.sh
@@ -77,6 +77,27 @@ function perlModules()
checkPerlModule Locale::gettext
}
+function makeDir()
+{
+ [ -z "$1" ] && return 1
+ local DIR=$1
+ if [ ! -e "$DIR" ]; then
+ mkdir -p "$DIR"
+ if [ $? -ne 0 ]; then
+ echo "Failed to create directory $DIR!"
+ echo "Aborting..."
+ return 1
+ fi
+ fi
+ if [ ! -d "$DIR" ]; then
+ echo "$DIR exists but is no directory!"
+ echo "Aborting..."
+ return 1
+ fi
+
+ return 0
+}
+
function doInstall()
{
echo ""
@@ -85,45 +106,14 @@ function doInstall()
perlModules
- [ ! -e $LIBDIR ] && mkdir -p $LIBDIR
- if [ -d $LIBDIR ]; then
- cp -r template $LIBDIR
- cp -r lib $LIBDIR
- else
- echo "$LIBDIR exists but is no directory!"
- echo "Aborting..."
- exit 1
- fi
-
- [ ! -e $DOCDIR ] && mkdir -p $DOCDIR
- if [ -d $DOCDIR ]; then
- cp -r contrib COPYING HISTORY INSTALL README $DOCDIR
- else
- echo "$DOCDIR exists but is no directory!"
- echo "Aborting..."
- exit 1
- fi
-
- [ ! -e $MANDIR ] && mkdir -p $MANDIR
- if [ -d $MANDIR ]; then
- cp vdradmind.pl.1 $MANDIR
- else
- echo "$MANDIR exists but is no directory!"
- echo "Aborting..."
- exit 1
- fi
-
- [ ! -e $ETCDIR ] && mkdir -p $ETCDIR
- if [ ! -d $ETCDIR ]; then
- echo "$ETCDIR exists but is no directory!"
- echo "Aborting..."
- exit 1
- fi
+ makeDir $LIBDIR && cp -r template lib $LIBDIR || exit 1
+ makeDir $DOCDIR && cp -r contrib COPYING CREDITS HISTORY INSTALL README $DOCDIR || exit 1
+ makeDir $MANDIR && cp vdradmind.pl.1 $MANDIR || exit 1
+ makeDir $ETCDIR || exit 1
for lang in $LANGS
do
- [ ! -e $LOCDIR/$lang/LC_MESSAGES/ ] && mkdir -p $LOCDIR/$lang/LC_MESSAGES/
- install -m 644 locale/$lang/LC_MESSAGES/vdradmin.mo $LOCDIR/$lang/LC_MESSAGES/vdradmin.mo
+ makeDir $LOCDIR/$lang/LC_MESSAGES/ && install -m 644 locale/$lang/LC_MESSAGES/vdradmin.mo $LOCDIR/$lang/LC_MESSAGES/vdradmin.mo || exit 1
done
local RESTART=
@@ -138,12 +128,9 @@ function doInstall()
-e "s/^my \$SEARCH_FILES_IN_SYSTEM = 0;/my \$SEARCH_FILES_IN_SYSTEM = 1;/" \
-e "s:/usr/share/vdradmin/lib:${LIBDIR}/lib:" \
-e "s:/usr/share/vdradmin/template:${LIBDIR}/template:" \
- -e "s:/etc/vdradmin/vdradmind.conf:${ETCDIR}/vdradmind.conf:" \
-e "s:/var/log/\$CONFIG{LOGFILE}:${LOGDIR}/\$CONFIG{LOGFILE}:" \
-e "s:/var/run/vdradmind.pid:${PIDFILE}:" \
- -e "s:/etc/vdradmin/vdradmind.done:${ETCDIR}/vdradmind.done:" \
- -e "s:/etc/vdradmin/vdradmind.at:${ETCDIR}/vdradmind.at:" \
- -e "s:/etc/vdradmin/vdradmind.bl:${ETCDIR}/vdradmind.bl:" \
+ -e "s:\(\$ETCDIR *= \)\"/etc/vdradmin\";:\1\"${ETCDIR}\";:" \
-e "s:/usr/share/locale:${LOCDIR}:" \
-e "s:\(\$CONFIG{VIDEODIR} *= \)\"/video\";:\1\"${VIDEODIR}\";:" \
-e "s:\(\$CONFIG{VDRCONFDIR} *= \)\"\$CONFIG{VIDEODIR}\";:\1\"${VDRCONF}\";:" \